      SUBROUTINE TSCHT(T,TMAX,ARG)
************************************************************************
* Purpose: Calculates the Tschebyscheff-Polynomials T of the first     *
*          order. The argument of the polynomials is real.             *
*                                                                      *
* Input:   INTEGER:                 maximal order of T(0:TMAX)         *
*          REAL*8:  ARG             Real argument of the T-polynomials *
*                                                                      *
* Output:  REAL*8:  T(0:TMAX)       The array contains the TMAX+1      *
*                                   polynomials of the argument arg    *
*                                                                      *
* Reference: M. Abramowitz and I. A. Stegun, Eds., Handbook of         *
*            Mathematical Functions (National Bureau of Standarts      *
*            Applied Mathematics Series 55), Washington DC:            *
*            U.S. Government Printing Office, 1970.                    *
*                                                                      *
* Date: 16:12:1996                  Author: KUNZE, MARCO               *
*                                           Marco.Kunze@univ-rennes1.fr*
************************************************************************

      IMPLICIT NONE
      INTEGER  I, TMAX
      REAL*8   T(0:TMAX), ARG

C------------------------- Executable Statements -----------------------

      T(0) = 1.D0

      IF (TMAX .EQ. 0) RETURN

      T(1) = ARG

      DO 10 I = 2, TMAX, 1
         T(I) = 2.D0 * ARG * T(I-1) - T(I-2)
10    CONTINUE

      END

